const navs = [
  {
    title: "考试中心",
    name: "exam",
    children: [
      {
        title: "我的工作台",
        name: "work",
        icon: "el-icon-s-cooperation",
        children: [
          {
            title: "待办任务",
            router: "WaitTask",
            children: [
              {
                title: "任务详情",
                router: "WaitTaskDetail"
              }
            ]
          },
          {
            title: "已办任务",
            router: "DoneTask",
            children: [
              {
                title: "任务详情",
                router: "DoneTaskDetail"
              }
            ]
          }
        ]
      },
      {
        title: "命题管理",
        name: "paper",
        icon: "el-icon-s-order",
        children: [
          {
            title: "命题任务管理",
            router: "TaskManage",
            children: [
              {
                title: "查看命题任务",
                router: "TaskDetail"
              },
              {
                title: "新建命题任务",
                router: "TaskAdd"
              },
              {
                title: "编辑命题任务",
                router: "TaskEdit"
              },
              {
                title: "批量新增命题任务",
                router: "ExamBatchAdd"
              }
            ]
          },
          {
            title: "入库申请",
            router: "ApplyManage",
            children: [
              {
                title: "申请入库",
                router: "ApplyAdd"
              },
              {
                title: "申请详情",
                router: "ApplyDetail"
              }
            ]
          },
          {
            title: "入库审核",
            router: "CheckApply"
          },
          {
            title: "卷库查询",
            router: "PaperManage"
          }
        ]
      },
      {
        title: "印刷管理",
        name: "paper",
        icon: "el-icon-s-check",
        children: [
          {
            title: "印刷计划管理",
            router: "PlanManage"
          },
          {
            title: "考务数据导入",
            router: "BusinessDataExport"
          },
          {
            title: "考务明细查询",
            router: "BusinessDataDetail"
          },
          {
            title: "关联试卷管理",
            router: "PlanLinkPaper"
          },
          {
            title: "印刷任务管理",
            router: "PrintManage"
          },
          {
            title: "印刷监控查询",
            router: "PrintProgressManage"
          }
        ]
      }
    ]
  },
  {
    title: "教研分析",
    name: "analyze",
    children: [
      {
        title: "分数分析",
        router: "ScoreAnalyze"
      }
    ]
  },
  {
    title: "基础配置",
    name: "base",
    children: [
      {
        title: "用户管理",
        name: "user",
        icon: "el-icon-user-solid",
        children: [
          {
            title: "组织架构",
            router: "OrganizationManage"
          },
          {
            title: "用户管理",
            router: "UserManage"
          },
          {
            title: "角色管理",
            router: "RoleManage"
          },
          {
            title: "权限管理",
            router: "MenuManage"
          }
        ]
      },
      {
        title: "配置管理",
        name: "rule",
        icon: "el-icon-s-tools",
        children: [
          {
            title: "通用规则",
            router: "CommonRule"
          },
          {
            title: "题卡规则管理",
            router: "CardRule"
          },
          {
            title: "通卡模板",
            router: "CommonCardTemplate"
          },
          {
            title: "变量印品模板",
            router: "ParamPrintTemplate"
          },
          {
            title: "普通印品模板",
            router: "CommonPrintTemplate"
          },
          {
            title: "课程管理",
            router: "CourseManage"
          }
        ]
      }
    ]
  }
];

export default navs;
