import Vue from "vue";
import { ABLE_TYPE, TEMPLATE_CLASSIFY } from "../constants/enumerate";

Vue.filter("enableFilter", function(val) {
  return ABLE_TYPE[val];
});
Vue.filter("templateClassifyFilter", function(val) {
  return TEMPLATE_CLASSIFY[val];
});
Vue.filter("orgsFilter", function(val) {
  return val.map(item => item.orgName).join("，");
});
Vue.filter("rolesFilter", function(val) {
  return val.map(item => item.roleName).join("，");
});
Vue.filter("coursesFilter", function(val) {
  return val.map(item => `${item.courseName}(${item.courseCode})`).join("，");
});
